#
# spec file for package python-reno
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-reno
Version:        2.7.0
Release:        2.53
Summary:        RElease NOtes manager
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source0:        https://files.pythonhosted.org/packages/source/r/reno/reno-2.7.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-PyYAML
BuildRequires:  python2-Sphinx
BuildRequires:  python2-docutils >= 0.11
BuildRequires:  python2-dulwich >= 0.15.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-setuptools >= 16.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-PyYAML >= 3.10
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-docutils >= 0.11
BuildRequires:  python3-dulwich >= 0.15.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools >= 16.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-PyYAML >= 3.10
Requires:       python-Sphinx
Requires:       python-docutils >= 0.11
Requires:       python-dulwich >= 0.15.0
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  git-core
BuildRequires:  gpg2
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
BuildRequires:  git
BuildRequires:  gnupg
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Reno is a release notes manager for storing release notes in a git
repository and then building documentation from them.

%prep
%autosetup -p1 -n reno-2.7.0
%py_req_cleanup

%build
%{python_build}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/reno

%post
%python_install_alternative reno

%postun
%python_uninstall_alternative reno

%check
%{python_expand rm -rf .testrepository
rm -rf .git
git init .
$python setup.py test
}

%files %{python_files}
%license LICENSE
%python_alternative %{_bindir}/reno
%{python_sitelib}/reno
%{python_sitelib}/*.egg-info

%changelog
* Mon Feb 26 2018 cloud-devel@suse.de
- update to version 2.7.0
  - improve output messages
  - add an internal sphinx extension to show the configuration defaults
  - support scanning closed stable branches
  - define options with help text
* Mon Dec  4 2017 cloud-devel@suse.de
- update to version 2.6.0
  - remove some duplication in ChangeTracker
  - Replace http with https
  - Add user details for editing stable branch notes
  - switch from oslosphinx to openstackdocstheme
  - Update documention link for doc migration
  - loader: Extract cache filename from config object
  - expand examples in documentation
  - ignore changes until the file is added within the scanned range
  - fix release note markup
  - Allow users to change prelude section name
  - Block comment should start with '# '
  - Clean up rendered HTML with openstackdocstheme
  - update bindep list
  - requirements: Stop requiring a specific pbr version
  - Move notesdir default to 'defaults' module
  - Remove Babel from setup.cfg and requirements
  - rearrange the existing docs to follow the new standard layout
  - Support repodir config files
  - add release note for scanner fix
  - Add option to create release note from user-provided template
  - update ref search logic for zuulv3 CI layout
  - release note for zuulv3 fix
  - allow release notes sections to be single strings
  - add option for ignoring some notes files
* Sat Aug  5 2017 cloud-devel@suse.de
- update to version 2.4.1
  - add function for reducing change list to operations
  - sphinxext: Include branch information in source name
  - Properly declare dependency on six
  - return the name of the cache file created
  - Have import order follow standard and fix misspelling
  - Remove discover from test-requirements
  - Replace LOG.wirn with LOG.warning
  - Support to set a custom template used to create new notes
  - set up logging in the sphinx extension
  - set relnotesdir to default inside config
  - Changed the link to home-page
  - Show team and repo badges on README
  - Using fixtures.MockPatch instead of mockpatch.Patch
  - clarify automatic inclusion of prelude section
  - update release notes
  - let the Config object give us the path to the notes
  - define Config class
  - logging improvements
  - trim Newton history to avoid duplication
  - use dulwich to find the current version on a branch
  - fix a problem scanning for the base of a branch with no tag
  - Wrap template at ~79 characters
  - add filename and sha in comments in report output
  - Add YAML configuration parsing
  - Document how reno handles eol branches in config
  - add a --title option to the report command
  - doc: Document the available configuration options
  - Remove oslotest from test-requirements.txt
  - add a lint command
  - make sections configurable
  - add sha info to ChangeTracker debug output
  - move tag management into repo subclass
  - do not test python 3.4 by default
  - Remove link to modindex
  - tone down the warning for missing configuration file
  - deal with unsigned tags
  - fix the way we handle deleted notes
  - fix the logic for determining where to stop scanning a branch
  - use unicode literals in scanner tests
  - do not allow multiple files with the same UID
  - Add support for tags tagging other tags
  - Enable to create and edit a note with reno new
  - allow tracking branch names when the branches only exist on origin
  - only show recent releases on the current series pages
  - deal with remote branches
  - refactor change tracking in scanner
  - use dulwich to get the contents of a file
  - Make note template follow correct formatting
  - add the irc channel to the readme file
  - support removed stable branches
  - add reference to project team guide for openstack projects
  - use dulwich to implement get_notes_by_version
  - Add debugging section to docs
  - reconfigure release notes display to include newton
  - Link to reStructuredText primer from usage docs
  - quiet gpg commands in tests
  - ensure tags are returned in a consistent order
  - let the Config class clean up the reporoot we're given
  - traversal performance improvements
  - fix sphinxext scanner when it has a list of versions to include
  - optimize check for the current version
  - add more tests for _get_ref
  - log scanner tests in a way that makes them easier to debug
  - Make oslosphinx requirement optional
  - skip the test that fails on git 2.9.2
  - fix an infinite loop in the topo traversal algorithm
  - documentation improvements
  - use dulwich to determine the tags on a branch
  - add a null logging handler
  - show full history
  - fix bytes/str handling when looking for file content
  - use Config instead of individual args with parameters
  - Add support for custom tag version schemes
  - add release note for log level fix
  - add python 3.5 classifier and default tox env
  - Remove support for py34
  - Remove support for py33
  - set the default for reporoot for the command line
  - add missing reporoot arg to 'new' command
  - stop scanning at the base of a branch
  - comment out openstack governance badges
  - teach the scanner to look at uncommitted files
  - use dulwich to determine the branch base
  - shortcut the branch scan by looking at the version number
  - try to discover the repository root in sphinx builds
  - deal with non-unique UIDs
  - log git commands run in scanner tests
  - fix branch handling in sphinx extension
  - ignore staged files that are not notes
  - uncap pbr dependency
  - add configuration option to not stop at branch base
  - add --no-show-source option to report command
  - Clean imports in code
  - use dulwich's tree traversal to look up repo contents
  - create GitRepoFixture
  - fix the logic for deciding what to show as the "current" series
  - do not use sphinx 1.6.1
  - add tests for determining the branch base
  - modify the change aggregation api
  - fix reference to config.yaml
  - centralize handling of branches without base tags
  - fix some minor formatting issues with release notes
  - lower the log level for an error message
  - ignore null-merges
  - do not assume the current branch is the most recent
  - Fix RST
  - remove cruft from readme
  - refactor existing implementation into a class
  - Update to Sphinx 1.5, tread warnings as errors
  - fix logic for deciding when to stop scanning a branch
- add _service and switch to upstream rpm-packaging spec
* Thu Aug 25 2016 tbechtold@suse.com
- Use pypi.io as Source url
* Thu Aug 25 2016 tbechtold@suse.com
- update to 1.8.0:
  * ignore all coverage output files
  * add warnings for malformated input
  * add API for writing the cache file
  * report extra files with warnings
  * Ignore empty sections in notes
  * Clean up oslo-incubator stuff
  * [Trivial] Remove executable privilege of doc/source/conf.py
* Sat Jun  4 2016 tbechtold@suse.com
- update to 1.6.2:
  * default to collapsing pre-releases in sphinxext
  * handle deleted notes properly
  * refactor argument buildup to make it more reusable
  * improve test coverage
  * always show coverage report for test runs
  * Add deprecations section to usage documentation
  * use less entropy in unit tests
  * collapse pre-release notes into regular releases by default
* Mon Feb 15 2016 dmueller@suse.com
- Initial package (1.5.0)
